## qcengine 0.17.0

=== Makefile ===
.DEFAULT_GOAL := all
isort = isort -rc qcengine
black = black qcengine
autoflake = autoflake -ir --remove-all-unused-imports --ignore-init-module-imports --remove-unused-variables --exclude="**/tests/**" qcengine

.PHONY: install
install:
	pip install -e .

.PHONY: format
format:
#	$(autoflake)
#	$(isort)
	$(black)

.PHONY: lint
lint:
	$(isort) --check-only
	$(black) --check

.PHONY: check-dist
check-dist:
	python setup.py check -ms
	python setup.py sdist
	twine check dist/*

.PHONY: mypy
mypy:
	mypy qcengine

.PHONY: test
test:
	pytest -v --cov=qcengine/

.PHONY: clean
clean:
	rm -rf `find . -name __pycache__`
	rm -f `find . -type f -name '*.py[co]' `
	rm -f `find . -type f -name '*~' `
	rm -f `find . -type f -name '.*~' `
	rm -rf .cache
	rm -rf .pytest_cache
	rm -rf .mypy_cache
	rm -rf htmlcov
	rm -rf *.egg-info
	rm -f .coverage
	rm -f .coverage.*
	rm -rf build
	rm -rf dist
	rm -f qcengine/*.c qcengine/*.so
	python setup.py clean

=== debian/changelog ===
qcengine (0.17.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/tests/control: New file, add autopkgtests. 

 -- Michael Banck <mbanck@debian.org>  Sun, 10 Jan 2021 11:42:44 +0100

qcengine (0.16.0-2) unstable; urgency=medium

  * Source-only reupload (Closes: #977989).

 -- Michael Banck <mbanck@debian.org>  Thu, 24 Dec 2020 15:00:50 +0100

qcengine (0.16.0-1) unstable; urgency=medium

  * Initial upload.

 -- Michael Banck <mbanck@debian.org>  Sun, 30 Aug 2020 17:49:22 +0200

=== debian/control ===
Source: qcengine
Section: python
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>
Build-Depends: debhelper (>= 12),
               dh-python,
               python3-all (>= 3.6),
               python3-cpuinfo,
               python3-numpy,
               python3-setuptools,
               python3-psutil,
               python3-pydantic,
               python3-pytest,
               python3-pytest-cov,
               python3-qcelemental (>= 0.13.0)
Standards-Version: 4.1.3
Homepage: https://github.com/MolSSI/QCEngine
Vcs-Browser: https://salsa.debian.org/debichem-team/qcengine
Vcs-Git: https://salsa.debian.org/debichem-team/qcengine.git

Package: python3-qcengine
Section: python
Architecture: all
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: Quantum chemistry program executor and IO standardizer
 QCEngine provides a wrapper to ingest and produce QCSchema for a variety of
 quantum chemistry programs, most notably Psi4, NWchem, RDKit and Mopac.
 .
 Other supported (possibly proprietary) packages include DFTD3, MOLPRO, MPD2,
 OpenMM, Q-Chem, Turbomole, xtb, CFour, GAMESS, Terachem and TorchANI.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

%:
	dh $@ --with=python3 --buildsystem=pybuild

## qcengine 0.21.0

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 .DEFAULT_GOAL := all
-isort = isort -rc qcengine
+isort = isort --float-to-top qcengine
 black = black qcengine
 autoflake = autoflake -ir --remove-all-unused-imports --ignore-init-module-imports --remove-unused-variables --exclude="**/tests/**" qcengine

=== debian/changelog ===
qcengine (0.21.0-2) unstable; urgency=medium

  * debian/patches/fix_version.py: New patch, fixes the version string.

 -- Michael Banck <mbanck@debian.org>  Sat, 01 Jan 2022 20:03:36 +0100

qcengine (0.21.0-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Banck <mbanck@debian.org>  Sat, 01 Jan 2022 19:11:47 +0100

qcengine (0.20.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control (Build-Depends): Add versioned Build-Depends on
    python3-qcelemental (>= 0.23.0) and python3-pydantic (>= 1.8.2). 

 -- Michael Banck <mbanck@debian.org>  Sun, 10 Oct 2021 15:00:37 +0200

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
                python3-numpy,
                python3-setuptools,
                python3-psutil,
-               python3-pydantic,
+               python3-pydantic (>= 1.8.2),
                python3-pytest,
                python3-pytest-cov,
-               python3-qcelemental (>= 0.13.0)
+               python3-qcelemental (>= 0.23.0)
 Standards-Version: 4.1.3
 Homepage: https://github.com/MolSSI/QCEngine
 Vcs-Browser: https://salsa.debian.org/debichem-team/qcengine

## qcengine 0.23.0

=== debian/changelog ===
qcengine (0.23.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/fix_version.py: Removed, no longer needed. 

 -- Michael Banck <mbanck@debian.org>  Sat, 02 Apr 2022 16:29:35 +0200

## qcengine 0.26.0

=== debian/changelog ===
qcengine (0.26.0-1) unstable; urgency=medium

  * New upstream release.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on python3-all.

 -- Michael Banck <mbanck@debian.org>  Sat, 14 Jan 2023 11:24:07 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Michael Banck <mbanck@debian.org>
 Build-Depends: debhelper (>= 12),
                dh-python,
-               python3-all (>= 3.6),
+               python3-all,
                python3-cpuinfo,
                python3-numpy,
                python3-setuptools,

## qcengine 0.29.0

=== debian/changelog ===
qcengine (0.29.0-1) unstable; urgency=medium

  * New upstream release (Closes: #1058251).
  * debian/control (Build-Depends): Added python3-msgpack.

 -- Michael Banck <mbanck@debian.org>  Fri, 29 Dec 2023 20:03:47 +0100

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
                dh-python,
                python3-all,
                python3-cpuinfo,
+               python3-msgpack,
                python3-numpy,
                python3-setuptools,
                python3-psutil,

## qcengine 0.30.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = QCEngine
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
qcengine (0.30.0-2) unstable; urgency=medium

  * debian/control (Build-Depends): Added python3-pint (Closes: #1093356).

 -- Michael Banck <mbanck@debian.org>  Sat, 18 Jan 2025 17:10:46 +0100

qcengine (0.30.0-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Banck <mbanck@debian.org>  Thu, 16 Jan 2025 08:31:34 +0100

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
                python3-msgpack,
                python3-numpy,
                python3-setuptools,
+               python3-pint,
                python3-psutil,
                python3-pydantic (>= 1.8.2),
                python3-pytest,

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/qcengine-$1\.tar\.gz/,repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack \
  https://github.com/MolSSI/QCEngine/tags .*/v?(\d\S*)\.tar\.gz
